# Generated by Django 2.2.3 on 2019-08-30 12:11

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('places', '0004_auto_20190829_2241'),
    ]

    operations = [
        migrations.AlterField(
            model_name='commune',
            name='entel_id',
            field=models.PositiveIntegerField(blank=True, null=True, unique=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name='country',
            name='code',
            field=models.CharField(max_length=3, unique=True, validators=[django.core.validators.RegexValidator('^[A-Z]{2,3}$', message='El código debe ser en mayúsculas.')]),
        ),
        migrations.AlterField(
            model_name='historicalcommune',
            name='entel_id',
            field=models.PositiveIntegerField(blank=True, db_index=True, null=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name='historicalcountry',
            name='code',
            field=models.CharField(db_index=True, max_length=3, validators=[django.core.validators.RegexValidator('^[A-Z]{2,3}$', message='El código debe ser en mayúsculas.')]),
        ),
        migrations.AlterField(
            model_name='historicalregion',
            name='entel_id',
            field=models.PositiveIntegerField(blank=True, db_index=True, null=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name='historicalstreet',
            name='entel_id',
            field=models.PositiveIntegerField(blank=True, db_index=True, null=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name='historicalstreetdirection',
            name='entel_id',
            field=models.PositiveIntegerField(blank=True, db_index=True, null=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name='region',
            name='entel_id',
            field=models.PositiveIntegerField(blank=True, null=True, unique=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name='street',
            name='entel_id',
            field=models.PositiveIntegerField(blank=True, null=True, unique=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
        migrations.AlterField(
            model_name='streetdirection',
            name='entel_id',
            field=models.PositiveIntegerField(blank=True, null=True, unique=True, validators=[django.core.validators.MinValueValidator(1)]),
        ),
    ]
